Subject: Apparent problem with tcsh's cd [was: "Re: Where am I anyway?"]
From: Ronald Landheer-Cieslak <[email-masked]>
To: [email-masked]
Cc: Dai Itasaka <[email-masked]>
Date: Wed, 26 Nov 2003 12:44:39 +0100

Hello Dai,

Your subject line wasn't very explicit in what you were talking about, so I 
guess most people on the list will have skipped your message entirely. It
just showed up in my scanning my mailbox for "bash"..

Anyway, you don't give us any information about your Cygwin installation:
the version of tcsh you're using, the version of Cygwin you're using, etc.
Please take a look at http://cygwin.com/problems.html to find out how we
like our bug reports :)

As you're not using Bash (or PCRE, or splint, or Aspell-en) I'll leave it to
the wisdom of the tcsh maintainer to help you out :)

Good luck :)

rlc

On Tue, Nov 25, 2003 at 11:23:03AM -0800, Dai Itasaka wrote:
> myname@myhost> cd c:/temp/foo
> myname@myhost> ls
> bar/  foo.file
> myname@myhost> cd bar
> myname@myhost> ls
> bar.file
> myname@myhost> cd c:/temp/foo/bar
> myname@myhost> ls
> bar.file
> myname@myhost> ls ..
> bar/  foo.file
> myname@myhost> cd c:/temp/foo/bar/
> myname@myhost> ls
> bar.file
> myname@myhost> ls ..
> bar.file
> myname@myhost> cd ..
> myname@myhost> ls
> bar.file
> myname@myhost> ls ..
> bar/  foo.file
> myname@myhost>
> 
> 
> If the directory name you give cd meets this criteria:
> 
>     - start with a drive letter
>     - end with a slash
> 
> then it looks like cd takes you where you want to go but it really
> takes you one below so that you have to climb up one level to be safe.
> 
> Bash doesn't observe this problem. This is using tcsh.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Love is in the offing.  Be affectionate to one who adores you.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/